import string
import random


def generate_random_string(length:int = 10) -> str:
    """
    Generates a random string of the given length
    """
    letters = string.ascii_letters + string.digits
    return ''.join(random.choice(letters) for i in range(length))